> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.shipbob.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.shipbob.com/_mcp/server.

# Get Action Types


GET https://api.shipbob.com/Experimental/kitting/action-types

Returns the available action types to configure steps in a kitting work order. Some action types may include sub-actions required for certain action types.


Reference: https://developer.shipbob.com/experimental/api/kitting/get-action-types

## Authentication

- `Authorization` header (bearer token, required) — Authentication using Personal Access Token (PAT) token
- `Authorization` header (bearer token, required) — OAuth2 authentication using JWT tokens

## Servers

- `https://api.shipbob.com` (https://api.shipbob.com, default)
- `https://sandbox-api.shipbob.com` (https://sandbox-api.shipbob.com)

## Response

### 200

Success

- `actions` (list of object, optional) — The list of work order action types.
  - `action_id` (integer, optional) — The unique identifier for the action.
  - `active` (boolean, optional) — A value indicating whether the action is active.
  - `control_type` (string, optional) — The control type for the action.
  - `is_root` (boolean, optional) — A value indicating whether this action is a root-level action.
  - `name` (string, optional) — The name of the action.
  - `order` (integer, optional) — The display order of the action.
  - `sub_actions` (list of object, optional) — List of sub-actions nested under this action.

## Examples

**Response**

```json
{
  "actions": [
    {
      "action_id": 1,
      "active": true,
      "control_type": "scan",
      "is_root": true,
      "name": "Scan Product Barcode",
      "order": 1,
      "sub_actions": []
    },
    {
      "action_id": 2,
      "active": true,
      "control_type": "checkbox",
      "is_root": true,
      "name": "Package Items",
      "order": 2,
      "sub_actions": [
        {
          "action_id": 3,
          "active": true,
          "control_type": "photo",
          "is_root": false,
          "name": "Take Photo of Completed Kit",
          "order": 1,
          "sub_actions": []
        }
      ]
    }
  ]
}
```

**SDK Code**

```python default
import requests

url = "https://api.shipbob.com/Experimental/kitting/action-types"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript default
const url = 'https://api.shipbob.com/Experimental/kitting/action-types';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go default
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.shipbob.com/Experimental/kitting/action-types"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby default
require 'uri'
require 'net/http'

url = URI("https://api.shipbob.com/Experimental/kitting/action-types")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java default
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.shipbob.com/Experimental/kitting/action-types")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php default
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.shipbob.com/Experimental/kitting/action-types', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp default
using RestSharp;

var client = new RestClient("https://api.shipbob.com/Experimental/kitting/action-types");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift default
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.shipbob.com/Experimental/kitting/action-types")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```